summaryrefslogtreecommitdiff
path: root/scripts/mkswordtar
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/mkswordtar')
-rwxr-xr-xscripts/mkswordtar16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/mkswordtar b/scripts/mkswordtar
new file mode 100755
index 0000000..28e4d14
--- /dev/null
+++ b/scripts/mkswordtar
@@ -0,0 +1,16 @@
+#!/bin/sh
+REV=`cd ..;basename \`pwd ..\`|cut -d\- -f2`
+SWORDVER=`grep "define SWORDVER" ../include/swversion.h |cut -f2 -d"\""`
+
+if test `echo $REV` == `echo $SWORDVER`; then
+ chmod +x *
+ chmod +x ../apps/X11/cheatah/configure
+ chmod +x ../apps/X11/cheatah/missing
+ #cp sapphire.cpp ../src/modules/common
+ cd ..; ./autogen.sh
+ cd ..; tar -v -c -p -s -z --exclude sword-$REV/bin -X sword-$REV/modlist -f sword-$REV.tar.gz sword-$REV/*
+else
+ echo $"Directory version is $REV, but swversion.h has $SWORDVER"
+ exit 1
+
+fi